
Installer - Bug #28353

Re-factor hook helpers for Katello hooks to centralize and drop Kafo::Helpers

11/25/2019 08:06 PM - Eric Helms

Status: Resolved   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/424,

https://github.com/theforeman/foreman-i

nstaller/pull/431,

https://github.com/theforeman/foreman-i

nstaller/pull/430

  

Description

Associated revisions

Revision 0655b5ca - 12/05/2019 12:43 PM - Ewoud Kohl van Wijngaarden

Refs #28353 - Move fail_and_exit to HookContextExtension

By placing it in HookContextExtension, it can be used in every hook

without redefining it.

Revision b1ad9aab - 12/14/2019 02:12 PM - Eric Helms

Refs #28353: Drop Kafo::Helpers and move to extensions

History

#1 - 12/05/2019 10:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/424 added

#2 - 12/12/2019 06:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/430 added

#3 - 12/12/2019 07:01 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/431 added

#4 - 05/14/2020 01:12 AM - Eric Helms

- Status changed from Ready For Testing to Resolved
